$NetBSD$

--- libs/xmlrpc-c/lib/abyss/src/chanswitch.c.orig	2016-09-08 23:58:19.516829798 +0000
+++ libs/xmlrpc-c/lib/abyss/src/chanswitch.c
@@ -99,7 +99,7 @@ ChanSwitchCreate(const struct TChanSwitc
         chanSwitchP->signature = switchSignature;
 
         if (SwitchTraceIsActive)
-            fprintf(stderr, "Created channel switch %p\n", chanSwitchP);
+            fprintf(stderr, "Created channel switch %p\n", (void *)chanSwitchP);
 
         *chanSwitchPP = chanSwitchP;
     }
@@ -111,7 +111,7 @@ void
 ChanSwitchDestroy(TChanSwitch * const chanSwitchP) {
 
     if (SwitchTraceIsActive)
-        fprintf(stderr, "Destroying channel switch %p\n", chanSwitchP);
+        fprintf(stderr, "Destroying channel switch %p\n", (void *)chanSwitchP);
 
     assert(chanSwitchP->signature == switchSignature);
 
@@ -130,7 +130,7 @@ ChanSwitchListen(TChanSwitch * const cha
                  const char ** const errorP) {
 
     if (SwitchTraceIsActive)
-        fprintf(stderr, "Channel switch %p listening.\n", chanSwitchP);
+        fprintf(stderr, "Channel switch %p listening.\n", (void *)chanSwitchP);
 
     (*chanSwitchP->vtbl.listen)(chanSwitchP, backlog, errorP);
 }
@@ -145,13 +145,13 @@ ChanSwitchAccept(TChanSwitch * const cha
 
     if (SwitchTraceIsActive)
         fprintf(stderr, "Getting a connection from Channel switch %p...\n",
-                chanSwitchP);
+                (void *)chanSwitchP);
 
     (*chanSwitchP->vtbl.accept)(chanSwitchP, channelPP, channelInfoPP, errorP);
 
     if (SwitchTraceIsActive)
         fprintf(stderr, "Got connection from channel switch.  "
-                "Channel = %p\n", *channelPP);
+                "Channel = %p\n", (void *)*channelPP);
 }
 
 
@@ -162,7 +162,7 @@ ChanSwitchInterrupt(TChanSwitch * const
     if (SwitchTraceIsActive)
         fprintf(stderr, "Interrupting wait for a connection "
                 "by Channel switch %p...\n",
-                chanSwitchP);
+                (void *)chanSwitchP);
 
     (*chanSwitchP->vtbl.interrupt)(chanSwitchP);
 }
