$NetBSD$

--- libs/xmlrpc-c/src/system_method.c.orig	2016-09-09 00:04:26.401010349 +0000
+++ libs/xmlrpc-c/src/system_method.c
@@ -145,7 +145,7 @@ system_multicall(xmlrpc_env *   const en
 
     xmlrpc_registry * registryP;
     xmlrpc_value * resultsP;
-    xmlrpc_value * methlistP;
+    xmlrpc_value * methlistP = NULL;
 
     XMLRPC_ASSERT_ENV_OK(envP);
     XMLRPC_ASSERT_ARRAY_OK(paramArrayP);
@@ -169,7 +169,7 @@ system_multicall(xmlrpc_env *   const en
                 xmlrpc_value * const methinfoP = 
                     xmlrpc_array_get_item(envP, methlistP, i);
             
-                xmlrpc_value * resultP;
+                xmlrpc_value * resultP = NULL;
             
                 XMLRPC_ASSERT_ENV_OK(envP);
             
@@ -256,7 +256,7 @@ system_listMethods(xmlrpc_env *   const
 
     xmlrpc_registry * const registryP = serverInfo;
 
-    xmlrpc_value * retvalP;
+    xmlrpc_value * retvalP = NULL;
 
     XMLRPC_ASSERT_ENV_OK(envP);
     XMLRPC_ASSERT_VALUE_OK(paramArrayP);
@@ -314,7 +314,7 @@ system_methodExist(xmlrpc_env *   const
 
     xmlrpc_registry * const registryP = serverInfo;
 
-    xmlrpc_value * retvalP;
+    xmlrpc_value * retvalP = NULL;
     
     const char * methodName;
 
@@ -378,7 +378,7 @@ system_methodHelp(xmlrpc_env *   const e
 
     xmlrpc_registry * const registryP = serverInfo;
 
-    xmlrpc_value * retvalP;
+    xmlrpc_value * retvalP = NULL;
     
     const char * methodName;
 
@@ -534,8 +534,9 @@ getSignatureList(xmlrpc_env *      const
    complaint, because this function is defined to return nothing meaningful
    those cases.  So we disable the check.
 */
+#ifdef _MSC_VER
 #pragma runtime_checks("u", off)
-
+#endif
 
 
 static xmlrpc_value *
@@ -546,7 +547,7 @@ system_methodSignature(xmlrpc_env *   co
 
     xmlrpc_registry * const registryP = (xmlrpc_registry *) serverInfo;
 
-    xmlrpc_value * retvalP;
+    xmlrpc_value * retvalP = NULL;
     const char * methodName;
     xmlrpc_env env;
 
@@ -567,7 +568,7 @@ system_methodSignature(xmlrpc_env *   co
             xmlrpc_env_set_fault(envP, XMLRPC_INTROSPECTION_DISABLED_ERROR,
                                  "Introspection disabled on this server");
         else {
-            xmlrpc_value * signatureListP;
+            xmlrpc_value * signatureListP = NULL;
 
             getSignatureList(envP, registryP, methodName, &signatureListP);
 
@@ -586,8 +587,9 @@ system_methodSignature(xmlrpc_env *   co
 }
 
 
-
+#ifdef _MSC_VER
 #pragma runtime_checks("u", restore)
+#endif
 
 
 
@@ -615,7 +617,7 @@ system_shutdown(xmlrpc_env *   const env
     
     xmlrpc_registry * const registryP = (xmlrpc_registry *) serverInfo;
 
-    xmlrpc_value * retvalP;
+    xmlrpc_value * retvalP = NULL;
     const char * comment;
     xmlrpc_env env;
 
@@ -700,7 +702,7 @@ system_capabilities(xmlrpc_env *   const
     
     xmlrpc_registry * const registryP = serverInfo;
 
-    xmlrpc_value * retvalP;
+    xmlrpc_value * retvalP = NULL;
     
     unsigned int paramCount;
 
@@ -766,7 +768,7 @@ system_getCapabilities(xmlrpc_env *   co
     
     xmlrpc_registry * const registryP = serverInfo;
 
-    xmlrpc_value * retvalP;
+    xmlrpc_value * retvalP = NULL;
     
     unsigned int paramCount;
 
