$NetBSD$

--- libs/xmlrpc-c/src/xmlrpc_datetime.c.orig	2016-09-09 00:11:25.253200995 +0000
+++ libs/xmlrpc-c/src/xmlrpc_datetime.c
@@ -486,8 +486,9 @@ validateFormat(xmlrpc_env * const envP,
    complaint, because this function is defined to return nothing meaningful
    those cases.  So we disable the check.
 */
+#ifdef _MSC_VER
 #pragma runtime_checks("u", off)
-
+#endif
 
 
 xmlrpc_value *
@@ -502,7 +503,7 @@ xmlrpc_datetime_new_str(xmlrpc_env * con
    Do not extend this.  The user should use more normal C representations
    of datetimes.
 -----------------------------------------------------------------------------*/
-    xmlrpc_value * retval;
+    xmlrpc_value * retval = NULL;
 
     validateFormat(envP, datetimeString);
     if (!envP->fault_occurred) {
@@ -523,9 +524,9 @@ xmlrpc_datetime_new_str(xmlrpc_env * con
 }
 
 
-
+#ifdef _MSC_VER
 #pragma runtime_checks("u", restore)
-
+#endif
 
 
 xmlrpc_value *
@@ -533,7 +534,7 @@ xmlrpc_datetime_new_usec(xmlrpc_env * co
                          time_t       const secs,
                          unsigned int const usecs) {
 
-    xmlrpc_value * valueP;
+    xmlrpc_value * valueP = NULL;
 
     if (usecs >= 1000000)
         xmlrpc_faultf(envP, "Number of fractional microseconds must be less "
