$NetBSD$

--- libs/xmlrpc-c/lib/libutil/utf8.c.orig	2016-09-09 00:08:52.413133242 +0000
+++ libs/xmlrpc-c/lib/libutil/utf8.c
@@ -157,7 +157,9 @@ validateUtf16(xmlrpc_env * const envP,
    complaint, because this function is defined to return nothing meaningful
    those cases.  So we disable the check.
 */
+#ifdef _MSC_VER
 #pragma runtime_checks("u", off)
+#endif
 
 static void
 decodeMultibyte(xmlrpc_env * const envP,
@@ -170,7 +172,7 @@ decodeMultibyte(xmlrpc_env * const envP,
 
    Return the character in UTF-16 format as *wcP.
 -----------------------------------------------------------------------------*/
-    wchar_t wc;
+    wchar_t wc = 0;
 
     assert(utf8_seq[0] & 0x80); /* High bit set: this is multibyte seq */
 
@@ -232,8 +234,9 @@ decodeMultibyte(xmlrpc_env * const envP,
     *wcP = wc;
 }
 
+#ifdef _MSC_VER
 #pragma runtime_checks("u", restore)
-
+#endif
 
 
 static void 
@@ -266,7 +269,7 @@ decodeUtf8(xmlrpc_env * const envP,
         char const init = utf8_data[utf8Cursor];
             /* Initial byte of the UTF-8 sequence */
 
-        wchar_t wc;
+        wchar_t wc = 0;
 
         if ((init & 0x80) == 0x00) {
             /* Convert ASCII character to wide character. */
